Refresh access token
POST
/auth/v1/tokenExchanges a valid refresh token for a new access token.
Header Parameters
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/authv1.TokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"requires_action": {
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/auth/v1/token" \
-H "Authorization: string"OK
application/json
{
"$ref": "#/components/schemas/authv1.TokenResponse",
"$ref-value": {
"properties": {
"access_token": {
"type": "string"
},
"expires_in": {
"type": "integer"
},
"refresh_token": {
"type": "string"
},
"requires_action": {
"type": "string"
},
"token_type": {
"type": "string"
}
},
"type": "object"
}
}